#!/bin/bash
set -e

CONFIG=".pre-commit-config.yaml"

if [ ! -f "$CONFIG" ]; then
  echo "Copying default pre-commit configuration..."
  cp /usr/local/share/default-pre-commit-config.yaml "$CONFIG"
else
  echo "$CONFIG already exists, not overwriting."
fi

echo "Installing hooks..."
pre-commit install
pre-commit autoupdate
echo "pre-commit is ready."
